var myAutoHideOptNameSpace = {
autohidebookmarksopt : {
  oldDisplay : "",
  timer:null,
  oldnsp:null,
  onLoad: function() {
    // initialization code
	this.oldnsp = window.arguments[0];
    var theECheck = document.getElementById("autohidebookmarks-enablecheck");
	var theCheck = document.getElementById("autohidebookmarks-delcheck");
	var theCTRLCheck = document.getElementById("autohidebookmarks-CTRLcheck");
	var theBar = document.getElementById("autohidebookmarks-delayopt");
	
	theECheck.checked = this.oldnsp.getBoolPref("enabled");
	theCheck.checked = this.oldnsp.getBoolPref("enableDelay");
	theCTRLCheck.checked = this.oldnsp.getBoolPref("enableControl");
	theBar.value = this.oldnsp.getStringPref("delay")*2;
	
	this.onEnableCheck();
	this.onDelayCheck();
  },
  onDelayScaleChange:function(){
	var theBar = document.getElementById("autohidebookmarks-delayopt");
	var theLabel = document.getElementById("autohidebookmarks-delaylbl");
	theLabel.value = theBar.value/2 + " sec";
  },
  onDelayCheck:function(){
	var theCheck = document.getElementById("autohidebookmarks-delcheck");
	var theBar = document.getElementById("autohidebookmarks-delayopt");
	theBar.disabled = !theCheck.checked;
  },
  onCTRLCheck:function()
  {
	//enable CTRL key to unhide the toolbar
  },
  onEnableCheck:function(){
	//Enable autohide bookmarks
	var theECheck = document.getElementById("autohidebookmarks-enablecheck");
	var theCheck = document.getElementById("autohidebookmarks-delcheck");
	var theCTRLCheck = document.getElementById("autohidebookmarks-CTRLcheck");
	var theBar = document.getElementById("autohidebookmarks-delayopt");
	
	theCheck.disabled = !theECheck.checked;
	theBar.disabled = !theECheck.checked;
	theCTRLCheck.disabled = !theECheck.checked;
	
  },
  save:function()
  {
	//save options
	var theECheck = document.getElementById("autohidebookmarks-enablecheck");
	var theCheck = document.getElementById("autohidebookmarks-delcheck");
	var theCTRLCheck = document.getElementById("autohidebookmarks-CTRLcheck");
	var theBar = document.getElementById("autohidebookmarks-delayopt");
	
	this.oldnsp.setBoolPref("enabled",theECheck.checked);
	this.oldnsp.setBoolPref("enableDelay",theCheck.checked);
	this.oldnsp.setBoolPref("enableControl",theCTRLCheck.checked);
	this.oldnsp.setStringPref("delay",theBar.value/2);
	
	this.oldnsp.enableAddon = theECheck.checked;
	this.oldnsp.enableDelay = theCheck.checked;
	this.oldnsp.enableCTRL = theCTRLCheck.checked;
	this.oldnsp.delay = theBar.value/2;
	if(!this.oldnsp.enableAddon)
		this.oldnsp.unhideBookmarks();
	else
		this.oldnsp.hideBookmarks();
	window.close();

  },
  close:function()
  {
	//close options
	
	window.close();

  }
}
};
window.addEventListener("load", function(e) { myAutoHideOptNameSpace.autohidebookmarksopt.onLoad(e); }, false);
